import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/stedy/Machine-Learning-with-R-datasets/master/insurance.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.age = +d.age;
      d.bmi = +d.bmi;
      d.children = +d.children;
      d.charges = +d.charges;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
